pci_remove_bus_device
Prev | PCI Support Library | Next

## Name

pci_remove_bus_device — remove a PCI device and any children

## Synopsis

`void pci_remove_bus_device (` | struct pci_dev * | dev`)`;

## Arguments

`dev`

  the device to remove

## Description

Remove a PCI device from the device lists, informing the drivers that the device has been removed. We also remove any subordinate buses and children in a depth-first manner.

For each device we remove, delete the device structure from the device lists, remove the /proc entry, and notify userspace (/sbin/hotplug).

Prev | Up | Next
pci_dev_put | Home | pci_remove_behind_bridge